package com.tanpu.community.api.beans;

import lombok.Data;

@Data
public class KafkaVisitorMsg {
    /**
     * 详情id(这里指的详情id是指页面访问时访问的内容id)
     */
    private String id;
    /**
     * 当前页面id
     */
    private String to;
    /**
     * 页面每次访问的标识，每次进入页面产生一个新的标识，代表本次访问此页面
     */
    private String ident;
    /**
     * 事件发生时间戳ms
     */
    private Long localTime;
    /**
     * 当前登录的用户Id
     */
    private String uid;
}
