package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value="TopicDTO对象", description="话题")
public class TopicDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否隐藏")
    private Integer isConceal;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;

    @ApiModelProperty(value = "帖子量")
    private Integer themeCount;

    @ApiModelProperty(value = "浏览量")
    private Integer viewCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "总用户数")
    private Integer UserCount;

    @ApiModelProperty


    @Override
    public String toString() {
        return "TopicEntity{" +
                "id=" + id +
                ", topicTitle=" + topicTitle +
                ", isTop=" + isTop +
                ", isConceal=" + isConceal +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteTag=" + deleteTag +
                "}";
    }
}
