package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 管理后台：话题数据分析
 */
@Data
@ApiModel("话题数据分析")
public class TopicDataAnalysDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;
    @ApiModelProperty(value = "总浏览量")
    private Integer viewTotalCount;
    @ApiModelProperty(value = "话题页面浏览量")
    private Integer viewPageCount;
    @ApiModelProperty(value = "发帖数")
    private Integer themeCount;
    @ApiModelProperty(value = "回帖数")
    private Integer commentCount;
    @ApiModelProperty(value = "总用户数")
    private Integer userTotalCount;
    @ApiModelProperty(value = "发帖人数")
    private Integer posterCount;
    @ApiModelProperty(value = "回帖人数")
    private Integer replIierCount;
}
