package com.tanpu.community.api.beans.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class HomePageReq {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "头像url")
    @NotEmpty(message = "头像不能为空")
    private String headImg;

    @ApiModelProperty(value = "昵称")
    @NotEmpty(message = "用户昵称不能为空")
    private String nickName;

    @ApiModelProperty(value = "个人简介")
    @NotEmpty(message = "个人简介不能为空")
    private String introduction;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "地址")
    private String location;
}
