package com.tanpu.community.api.beans.vo.feign;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: zyh
 * @date: 2021-04-13 3:20 下午
 * @description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CourseExt extends Course {
    @ApiModelProperty("章节-小节ID")
    private String coursePackageId;

    @Deprecated
    @ApiModelProperty("相关性知识课程小节类型 - 1:音频 2:视频")
    private Integer relType;

    @ApiModelProperty("相关性知识课程小节类型 扩展")
    private Integer relTypeExt;

    @Deprecated
    @ApiModelProperty("章节-小节 音/视频类型 1:音频 2:视频")
    private Integer type;

    @ApiModelProperty("章节-小节 音/视频类型 扩展")
    private Integer typeExt;

    @ApiModelProperty("章节-小节 音/视频地址")
    private String url;

    @ApiModelProperty("相关性知识地址")
    private String relUrl;

    @ApiModelProperty("相关性知识 - 课程包ID")
    private String relPackageId;

    @ApiModelProperty("相关性知识音/视频时长")
    private Integer relLengthTime;

    @ApiModelProperty("多少人已学习")
    private Integer readNum;

    @ApiModelProperty("课程时长 单位s")
    private Integer lengthTime;

    @ApiModelProperty("讲师信息")
    private LecturerResp lecturer;
}
