package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xudong
 * @since 2021-06-24
 */
@TableName("order_flow")
@ApiModel(value="OrderFlowEntity对象", description="")
public class OrderFlowEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private String id;

    @ApiModelProperty(value = "订单号")
    private String abOrdernum;

    @ApiModelProperty(value = "产品价格")
    private Long abPrice;

    @ApiModelProperty(value = "积分")
    private Long abScore;

    @ApiModelProperty(value = "积分抵扣")
    private Long abScoreDeduct;

    @ApiModelProperty(value = "账户余额抵扣")
    private Long abAccountDeduct;

    @ApiModelProperty(value = "支付通道付款金额")
    private Long abPayment;

    @ApiModelProperty(value = "支付方式 1:免费  2：积分  3现金")
    private String abPayMode;

    @ApiModelProperty(value = "订单总额")
    private Long abTotalMoney;

    @ApiModelProperty(value = "产品类型")
    private String abType;

    @ApiModelProperty(value = "产品ID")
    private String abProid;

    @ApiModelProperty(value = "产品规格ID")
    private String abProSiid;

    @ApiModelProperty(value = "产品规格类型")
    private String abSiType;

    @ApiModelProperty(value = "产品规格规格名称")
    private String abSiName;

    @ApiModelProperty(value = "产品规格规格编码")
    private String abSiCode;

    @ApiModelProperty(value = "产品规格定价模式")
    private String abSiPattern;

    @ApiModelProperty(value = "状态 WAIT:待支付 SUCCESS：支付成功 FAIL：支付失败 CANCEL：取消交易")
    private String abStatus;

    @ApiModelProperty(value = "权益分配状态")
    private String abRightsStatus;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createtime;

    @ApiModelProperty(value = "创建人")
    private String createby;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateby;

    @ApiModelProperty(value = "删除标识")
    private String deletetag;

    @ApiModelProperty(value = "微信unionid")
    private String unionid;

    @ApiModelProperty(value = "交易流水号")
    private String transactionSerialNo;

    @ApiModelProperty(value = "付款时间")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "完成时间")
    private LocalDateTime completeTime;

    @ApiModelProperty(value = "机构id")
    private String orgId;

    @ApiModelProperty(value = "注册手机号")
    private String registerPhone;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAbOrdernum() {
        return abOrdernum;
    }

    public void setAbOrdernum(String abOrdernum) {
        this.abOrdernum = abOrdernum;
    }

    public Long getAbPrice() {
        return abPrice;
    }

    public void setAbPrice(Long abPrice) {
        this.abPrice = abPrice;
    }

    public Long getAbScore() {
        return abScore;
    }

    public void setAbScore(Long abScore) {
        this.abScore = abScore;
    }

    public Long getAbScoreDeduct() {
        return abScoreDeduct;
    }

    public void setAbScoreDeduct(Long abScoreDeduct) {
        this.abScoreDeduct = abScoreDeduct;
    }

    public Long getAbAccountDeduct() {
        return abAccountDeduct;
    }

    public void setAbAccountDeduct(Long abAccountDeduct) {
        this.abAccountDeduct = abAccountDeduct;
    }

    public Long getAbPayment() {
        return abPayment;
    }

    public void setAbPayment(Long abPayment) {
        this.abPayment = abPayment;
    }

    public String getAbPayMode() {
        return abPayMode;
    }

    public void setAbPayMode(String abPayMode) {
        this.abPayMode = abPayMode;
    }

    public Long getAbTotalMoney() {
        return abTotalMoney;
    }

    public void setAbTotalMoney(Long abTotalMoney) {
        this.abTotalMoney = abTotalMoney;
    }

    public String getAbType() {
        return abType;
    }

    public void setAbType(String abType) {
        this.abType = abType;
    }

    public String getAbProid() {
        return abProid;
    }

    public void setAbProid(String abProid) {
        this.abProid = abProid;
    }

    public String getAbProSiid() {
        return abProSiid;
    }

    public void setAbProSiid(String abProSiid) {
        this.abProSiid = abProSiid;
    }

    public String getAbSiType() {
        return abSiType;
    }

    public void setAbSiType(String abSiType) {
        this.abSiType = abSiType;
    }

    public String getAbSiName() {
        return abSiName;
    }

    public void setAbSiName(String abSiName) {
        this.abSiName = abSiName;
    }

    public String getAbSiCode() {
        return abSiCode;
    }

    public void setAbSiCode(String abSiCode) {
        this.abSiCode = abSiCode;
    }

    public String getAbSiPattern() {
        return abSiPattern;
    }

    public void setAbSiPattern(String abSiPattern) {
        this.abSiPattern = abSiPattern;
    }

    public String getAbStatus() {
        return abStatus;
    }

    public void setAbStatus(String abStatus) {
        this.abStatus = abStatus;
    }

    public String getAbRightsStatus() {
        return abRightsStatus;
    }

    public void setAbRightsStatus(String abRightsStatus) {
        this.abRightsStatus = abRightsStatus;
    }

    public LocalDateTime getCreatetime() {
        return createtime;
    }

    public void setCreatetime(LocalDateTime createtime) {
        this.createtime = createtime;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby;
    }

    public LocalDateTime getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(LocalDateTime updatetime) {
        this.updatetime = updatetime;
    }

    public String getUpdateby() {
        return updateby;
    }

    public void setUpdateby(String updateby) {
        this.updateby = updateby;
    }

    public String getDeletetag() {
        return deletetag;
    }

    public void setDeletetag(String deletetag) {
        this.deletetag = deletetag;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getTransactionSerialNo() {
        return transactionSerialNo;
    }

    public void setTransactionSerialNo(String transactionSerialNo) {
        this.transactionSerialNo = transactionSerialNo;
    }

    public LocalDateTime getPayTime() {
        return payTime;
    }

    public void setPayTime(LocalDateTime payTime) {
        this.payTime = payTime;
    }

    public LocalDateTime getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(LocalDateTime completeTime) {
        this.completeTime = completeTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getRegisterPhone() {
        return registerPhone;
    }

    public void setRegisterPhone(String registerPhone) {
        this.registerPhone = registerPhone;
    }

    @Override
    public String toString() {
        return "OrderFlowEntity{" +
        "id=" + id +
        ", abOrdernum=" + abOrdernum +
        ", abPrice=" + abPrice +
        ", abScore=" + abScore +
        ", abScoreDeduct=" + abScoreDeduct +
        ", abAccountDeduct=" + abAccountDeduct +
        ", abPayment=" + abPayment +
        ", abPayMode=" + abPayMode +
        ", abTotalMoney=" + abTotalMoney +
        ", abType=" + abType +
        ", abProid=" + abProid +
        ", abProSiid=" + abProSiid +
        ", abSiType=" + abSiType +
        ", abSiName=" + abSiName +
        ", abSiCode=" + abSiCode +
        ", abSiPattern=" + abSiPattern +
        ", abStatus=" + abStatus +
        ", abRightsStatus=" + abRightsStatus +
        ", createtime=" + createtime +
        ", createby=" + createby +
        ", updatetime=" + updatetime +
        ", updateby=" + updateby +
        ", deletetag=" + deletetag +
        ", unionid=" + unionid +
        ", transactionSerialNo=" + transactionSerialNo +
        ", payTime=" + payTime +
        ", completeTime=" + completeTime +
        ", orgId=" + orgId +
        ", registerPhone=" + registerPhone +
        "}";
    }
}
