package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xudong
 * @since 2021-06-16
 */
@TableName("user_rist_rz")
@ApiModel(value="UserRistRzEntity对象", description="")
public class UserRistRzEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private String id;

    @ApiModelProperty(value = "用户手机号认证")
    private String urrRzPhone;

    @ApiModelProperty(value = "用户手机号认证时间")
    private LocalDateTime urrRzPhoneDate;

    @ApiModelProperty(value = "认证用户姓名")
    private String urrRzName;

    @ApiModelProperty(value = "身份信息认证-证件类型")
    private String urrRzCertType;

    @ApiModelProperty(value = "身份信息认证-证件号")
    private String urrRzCertNo;

    @ApiModelProperty(value = "身份信息认证时间")
    private LocalDateTime urrRzCertDate;

    @ApiModelProperty(value = "合格投资者认证关联用户记录")
    private String investorCertifiedId;

    @ApiModelProperty(value = "合格投资者认证状态")
    private Integer investorCertifiedStatus;

    @ApiModelProperty(value = "合格投资者认证时间")
    private LocalDateTime investorCertifiedTime;

    @ApiModelProperty(value = "风险测评认证关联用户记录")
    private String investorRiskrzId;

    @ApiModelProperty(value = "风险测评认证状态")
    private Integer investorRiskrzStatus;

    @ApiModelProperty(value = "风险测评认证时间")
    private LocalDateTime investorRiskrzTime;

    @ApiModelProperty(value = "测评到期时间")
    private LocalDateTime expireTime;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createtime;

    @ApiModelProperty(value = "创建人")
    private String createby;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateby;

    @ApiModelProperty(value = "删除标识")
    private Integer deletetag;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUrrRzPhone() {
        return urrRzPhone;
    }

    public void setUrrRzPhone(String urrRzPhone) {
        this.urrRzPhone = urrRzPhone;
    }

    public LocalDateTime getUrrRzPhoneDate() {
        return urrRzPhoneDate;
    }

    public void setUrrRzPhoneDate(LocalDateTime urrRzPhoneDate) {
        this.urrRzPhoneDate = urrRzPhoneDate;
    }

    public String getUrrRzName() {
        return urrRzName;
    }

    public void setUrrRzName(String urrRzName) {
        this.urrRzName = urrRzName;
    }

    public String getUrrRzCertType() {
        return urrRzCertType;
    }

    public void setUrrRzCertType(String urrRzCertType) {
        this.urrRzCertType = urrRzCertType;
    }

    public String getUrrRzCertNo() {
        return urrRzCertNo;
    }

    public void setUrrRzCertNo(String urrRzCertNo) {
        this.urrRzCertNo = urrRzCertNo;
    }

    public LocalDateTime getUrrRzCertDate() {
        return urrRzCertDate;
    }

    public void setUrrRzCertDate(LocalDateTime urrRzCertDate) {
        this.urrRzCertDate = urrRzCertDate;
    }

    public String getInvestorCertifiedId() {
        return investorCertifiedId;
    }

    public void setInvestorCertifiedId(String investorCertifiedId) {
        this.investorCertifiedId = investorCertifiedId;
    }

    public Integer getInvestorCertifiedStatus() {
        return investorCertifiedStatus;
    }

    public void setInvestorCertifiedStatus(Integer investorCertifiedStatus) {
        this.investorCertifiedStatus = investorCertifiedStatus;
    }

    public LocalDateTime getInvestorCertifiedTime() {
        return investorCertifiedTime;
    }

    public void setInvestorCertifiedTime(LocalDateTime investorCertifiedTime) {
        this.investorCertifiedTime = investorCertifiedTime;
    }

    public String getInvestorRiskrzId() {
        return investorRiskrzId;
    }

    public void setInvestorRiskrzId(String investorRiskrzId) {
        this.investorRiskrzId = investorRiskrzId;
    }

    public Integer getInvestorRiskrzStatus() {
        return investorRiskrzStatus;
    }

    public void setInvestorRiskrzStatus(Integer investorRiskrzStatus) {
        this.investorRiskrzStatus = investorRiskrzStatus;
    }

    public LocalDateTime getInvestorRiskrzTime() {
        return investorRiskrzTime;
    }

    public void setInvestorRiskrzTime(LocalDateTime investorRiskrzTime) {
        this.investorRiskrzTime = investorRiskrzTime;
    }

    public LocalDateTime getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(LocalDateTime expireTime) {
        this.expireTime = expireTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public LocalDateTime getCreatetime() {
        return createtime;
    }

    public void setCreatetime(LocalDateTime createtime) {
        this.createtime = createtime;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby;
    }

    public LocalDateTime getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(LocalDateTime updatetime) {
        this.updatetime = updatetime;
    }

    public String getUpdateby() {
        return updateby;
    }

    public void setUpdateby(String updateby) {
        this.updateby = updateby;
    }

    public Integer getDeletetag() {
        return deletetag;
    }

    public void setDeletetag(Integer deletetag) {
        this.deletetag = deletetag;
    }

    @Override
    public String toString() {
        return "UserRistRzEntity{" +
        "id=" + id +
        ", urrRzPhone=" + urrRzPhone +
        ", urrRzPhoneDate=" + urrRzPhoneDate +
        ", urrRzName=" + urrRzName +
        ", urrRzCertType=" + urrRzCertType +
        ", urrRzCertNo=" + urrRzCertNo +
        ", urrRzCertDate=" + urrRzCertDate +
        ", investorCertifiedId=" + investorCertifiedId +
        ", investorCertifiedStatus=" + investorCertifiedStatus +
        ", investorCertifiedTime=" + investorCertifiedTime +
        ", investorRiskrzId=" + investorRiskrzId +
        ", investorRiskrzStatus=" + investorRiskrzStatus +
        ", investorRiskrzTime=" + investorRiskrzTime +
        ", expireTime=" + expireTime +
        ", orgId=" + orgId +
        ", createtime=" + createtime +
        ", createby=" + createby +
        ", updatetime=" + updatetime +
        ", updateby=" + updateby +
        ", deletetag=" + deletetag +
        "}";
    }
}
