package com.tanpu.community.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.community.dao.entity.community.VisitSummaryEntity;
import com.tanpu.community.dao.mapper.community.VisitSummaryMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class VisitSummaryService {

    @Resource
    private VisitSummaryMapper visitSummaryMapper;


    // 查询话题 详细页面 浏览量
    public Integer queryTopicDetailVisit(String topicId) {
        return visitSummaryMapper.selectCount(new LambdaQueryWrapper<VisitSummaryEntity>()
                .eq(VisitSummaryEntity::getRefId, topicId));
    }

    // 更新访问时长
    public void updateDurByIdent(String ident, Integer dur) {
//        visitSummaryMapper.updateDurByIdent(ident, dur);
    }
}
