package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "讨论多图存储对象，等同于newsFeedRes")
public class ImagesDTO {

    private Integer productType;
    @ApiModelProperty("关联id")
    private String relIdl;
    @ApiModelProperty("关联类型 产品:88 直播：3 短视频：6 图片：122")
    private Integer relType;

    private String remark;

    @ApiModelProperty("图片宽度")
    private Integer imgHeight;

    @ApiModelProperty("图片宽度")
    private Integer imgWidth;
}
