package com.tanpu.community.api.beans.qo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 正文
 */
@Data
@ApiModel("主题正文")
public class MainTextQo {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主题id")
    private String themeId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "认证")
    private String authLabel;

    @ApiModelProperty(value = "发表时间")
    private String upToNowTime;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;


    @ApiModelProperty(value = "转发量")
    private Long forwardAomunt;

    @ApiModelProperty(value = "评论量")
    private Long commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty("附件，")
    private List<AttachmentQo> attachment;


}
