package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "主题内容")
public class ThemeContentQo {

    @ApiModelProperty(value = "类型，0：文本，1:产品 2：直播 3：短视频 4：课程，5：图片 6：图片列表（讨论）")
    private Integer type;

    @ApiModelProperty(value = "文本的值是内容，附件的值为id")
    private String value;

    @ApiModelProperty(value = "类型为6时，传入图片列表")
    private String[] imgList;

    @ApiModelProperty(value = "对象详情")
    private AttachmentDetailVo detail;

}
