package com.tanpu.community.api.beans.req.theme;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class ThemeListReq {
    @ApiModelProperty(value = "当前浏览的最后一个themeId,可以为空")
    private String lastId;

    @NotEmpty(message = "PageSize不能为空")
    @ApiModelProperty(value = "页面大小")
    private Integer PageSize;

    @NotEmpty(message = "主题类型不能为空")
    @ApiModelProperty(value = "类型，1：推荐 2：关注")
    private Integer type;


}
