package com.tanpu.community.service.other;

import com.tanpu.community.dao.entity.user.CurriculumPriceEntity;
import com.tanpu.community.dao.mapper.user.CurriculumPriceMapper;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class CurriculumPriceService {

    @Resource
    private CurriculumPriceMapper curriculumPriceMapper;


    public CurriculumPriceEntity selectById(String id){
        return curriculumPriceMapper.selectById(id);
    }

    public List<CurriculumPriceEntity> selectByIds(List<String> ids){
        if (CollectionUtils.isEmpty(ids)){
            return Collections.emptyList();
        }
        return curriculumPriceMapper.selectBatchIds(ids);
    }
}
