package com.tanpu.community.service.other;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.community.dao.entity.user.UserRistRzEntity;
import com.tanpu.community.dao.mapper.user.UserRistRzMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class UserService {

    @Resource
    private UserRistRzMapper userRistRzMapper;

    // 查询是否合格投资者
    public Boolean isQualifiedInvestor(String userId) {
        UserRistRzEntity ristRz = userRistRzMapper.selectOne(new LambdaQueryWrapper<UserRistRzEntity>().eq(UserRistRzEntity::getCreateby, userId));
        // todo 1代表合格
        return (ristRz != null && ristRz.getInvestorCertifiedStatus() == 1);
    }
}
